Page MenuHomePhabricator

Draft a terms of use
Closed, ResolvedPublic

Description

We need a terms of use. Probably will involve primarily a reference to the main terms of use, with some specific callouts appropriate to this project.

Details

Reference
fl335

Event Timeline

flimport raised the priority of this task from to Medium.Sep 12 2014, 1:36 AM
flimport set Reference to fl335.

LuisVillaWMF wrote on 2014-05-16 00:12:09 (UTC)

Few other quick notes for myself; all tentative:

  1. Default to “you promise to upload with an open license"; allow user to pick/identify license
  2. If license is not specified, or cannot be reasonably determined from context (e.g., because it is a patch of GPL code, or because it is a screenshot of CC-licensed content) then you release under CC0(?)
  3. Imports (defined as "things with a date older than X") cannot be guaranteed to have those licenses; use at own risk

qgil wrote on 2014-05-16 04:16:11 (UTC)

I hope you don't mind me commenting on the go.

About uploading images, currently users don't define any license at all.

http://fab.wmflabs.org/pholio/new/
http://fab.wmflabs.org/file/upload/

In Bugzilla they don't define it either, btw. Should there be a file (like there is in MediaWiki), then we would need to add a custom field for Pholio and File, which I'm not sure Phabricator supports out of the box. You can add custom fields in Maniphest, so it shouldn't be difficult to enable them in other apps if needed, I guess.

mmodell wrote on 2014-05-16 10:58:15 (UTC)

Yeah custom fields can probably be added to other apps relatively easily.

mmodell wrote on 2014-05-16 10:58:47 (UTC)

whoops I didn't mean to close this.

LuisVillaWMF wrote on 2014-05-16 14:49:59 (UTC)

I think maybe "specify" implies too much here- I meant by that merely that it would be obvious from context, e.g., that it was a patch against GPL code, or a CC photo uploaded from commons, etc. Definitely do not need to be asking people for licensing information on every upload Commons-style :)

aklapper wrote on 2014-05-16 20:24:46 (UTC)

Looking at our current Bugzilla, the footer links to

  • Privacy policy
  • Bugzilla etiquette
  • About MediaWiki.org
  • Disclaimers

Would like to know which of these items must/shall/can also be displayed in Phabricator (and we'd need to find out where, e.g. if we also want to create a Phabricator-wide footer).

Would also like to know if a link to "Terms of Use" linking to a (protected?) wikipage describing aforementioned license requirements for certain types of content uploaded into Phabricator could be sufficient from a legal point of view.

LuisVillaWMF wrote on 2014-05-19 16:34:24 (UTC)

Privacy policy is a California requirement; should be on every page (but I see the difficulty of doing it in this context and will talk to Michelle). The others (etiquette, about, disclaimers) are optional.

In your question about the TOU, is the question about *location*? i.e., is the concern that it might be on a wikipage and not phabricator?

LuisVillaWMF wrote on 2014-05-19 22:22:55 (UTC)

Are there any less obvious but still reasonably easily customizable places we could put this sort of information that would be present in most places? e.g., left-hand navbar? I don't really see any but I might be missing something.

aklapper wrote on 2014-05-23 04:33:51 (UTC)

In your question about the TOU, is the question about *location*? i.e., is the concern that it might be on a wikipage and not phabricator?

Yes.

Are there any less obvious but still reasonably easily customizable places we could put this sort of information that would be present in most places?

I'm not aware of any, unfortunately. Phabricator interface is too clean. ;)

LuisVillaWMF wrote on 2014-06-01 16:19:14 (UTC)

I'll aim to have this ready for day 1, but it isn't necessarily a day 1 blocker, given that none of the tools being replaced are good on this front either.

Do we have a guess on the ETA for "day 1"?

aklapper wrote on 2014-06-02 10:41:38 (UTC)

I'll aim to have this ready for day 1, but it isn't necessarily a day 1 blocker, given that none of the tools being replaced are good on this front either.

Thanks. In that case, I'll remove this from the Day 1 project.

Do we have a guess on the ETA for "day 1"?

Not really as it's impossible to judge currently. Somewhere between 4 and 12 months I'd guess, very roughly.

qgil wrote on 2014-06-02 17:45:19 (UTC)

In T335#22, @Aklapper wrote:

Do we have a guess on the ETA for "day 1"?

Not really as it's impossible to judge currently. Somewhere between 4 and 12 months I'd guess, very roughly.

fwiw I was caught on record saying "between the end of Summer and the end of year". :)

LuisVillaWMF wrote on 2014-06-23 21:58:37 (UTC)

I assume I should open a separate bug for "where do we put the privacy policy"?

aklapper wrote on 2014-06-30 13:49:12 (UTC)

In T335#25, @LuisVillaWMF wrote:

I assume I should open a separate bug for "where do we put the privacy policy"?

Yepp. Done -> T431

In T171#24, @flimport wrote:

LuisVillaWMF wrote on 2014-09-08 00:16:25 (UTC)
The TOU page should say something like:
The Terms of Use for Wikimedia Foundation Projects govern your use of this site. In addition:
1. Code to Which You Hold the Copyright: When you submit software source code, or other material intended for inclusion in software (such as documentation or translations), to which you hold the copyright, you agree to license it under the GNU General Public License (version 2.0 or any later version).
The only exception is if the software to which you are contributing requires a different license. In that case, you agree to license any text you contribute under that particular license. For example, at the publication of this version of the phabricator Terms of Use, Visual Editor is licensed under the MIT license, so if you make contributions to Visual Editor through this site, you agree to license those contributions under the MIT license.
2. Importing Code: You may import source code that you have found elsewhere or that you have co-authored with others, but in such case you warrant that the source code is available under terms that are compatible with the GNU General Public License version 2.0 (or, as explained above, another license when exceptionally required by that software). //
I'm still pondering adding an extra clause for the pre-existing/imported content, but (1) I'm leaning against it and (2) that situation doesn't change before/after we do the import, so it shouldn't be a blocker.

This task is filed under maintenance, but after all the discussions it seems to be an actual blocker for the opening oh phab.w.o to anyone. Being bold and changing projects.

Qgil set Security to None.
Qgil added a comment.Sep 19 2014, 3:31 PM

What are we going to use to create these fairly static pages? Diviner?

Enabling Phrition looks like an overkill, and it will make appear "Phabricator's wiki" in everybody's nav bar.

I tried legalpad, hoping that it would be possible to hide the signature fields, but unless we use some CSS hack, I don't think so: https://phab-01.wmflabs.org/L2

In T198#26, @Qgil wrote:

What are we going to use to create these fairly static pages?

MediaWiki on one of those random websites with editing rather restricted? :)
Don't see why this needs to be hosted on Phab itself if it's the single usecase for enabling yet another Phab application to configure.

Qgil raised the priority of this task from Medium to High.Sep 21 2014, 3:58 PM

I have asked Luis from the Legal team.

High priority because this task is blocking the opening of the registration to all wikimedians.

Qgil added a comment.Sep 23 2014, 7:25 AM

Luis says that the page can be hosted anywhere indeed. Great!

https://www.mediawiki.org/wiki/Phabricator/Terms_of_Use now exists and is protected -- only mediawiki.org admins can edit it.

Now we need to change the "Terms of Use" link in the footer. Can I just edit this file via Phabricator's web ui (/config/group/ui/) or does this change need to be submitted as a Gerrit patch?

Qgil added a comment.Sep 23 2014, 7:51 AM

After a second thought, I have placed the page at https://wikimediafoundation.org/wiki/Terms_of_Use/Phabricator instead, since other pages in the footer point to that wiki. I will request that page to be protected.

I have edited the footer manually, which probably is not a right thing to do in general, but I really want to remove blockers for T463. I will leave this task open until the changes are properly applied via Puppet.

In T198#32, @Qgil wrote:

After a second thought, I have placed the page at https://wikimediafoundation.org/wiki/Terms_of_Use/Phabricator instead, since other pages in the footer point to that wiki. I will request that page to be protected.
I have edited the footer manually, which probably is not a right thing to do in general

What is the exact change in https://phabricator.wikimedia.org/config/edit/ui.footer-items/ ? I think the "Text is available..." stuff is also new and was only "Copyright 2014" before?
(I'm slightly afraid that now that the footer takes the entire width it might collide with some Phabricator page layouts but that's stuff we can deal with afterwards if that was really still true - it was a while ago before upstream implemented the footer themselves.)

I will leave this task open until the changes are properly applied via Puppet.

I will write that (modules/phabricator/data/fixed_settings.yaml) once above is answered.

Qgil added a comment.Sep 23 2014, 11:27 AM

The starting point is the "Local Config", and you have the original configuration diffs at the end of that page. The changes are:

++{"name":"Text is available under the Creative Commons Attribution-ShareAlike License; code is available under the GNU General Public License or other appropriate open source licenses. By using this site, you agree to the Terms of Use and Privacy Policy. Wikipedia\u00ae is a registered trademark of the Wikimedia Foundation, Inc., a non-profit organization."},

--{"href":"https://wikimediafoundation.org/wiki/Terms_of_Use","name":"Terms of Use"},
++{"href":"https://wikimediafoundation.org/wiki/Terms_of_Use/Phabricator","name":"Terms of Use"},

Patch in https://gerrit.wikimedia.org/r/#/c/162219/ (hope I did everything right when it comes to encoding etc)

merged and gtg. can this be closed?

Qgil closed this task as Resolved.Sep 29 2014, 6:11 PM
Qgil assigned this task to Aklapper.

Thank you!

Nemo_bis added a subscriber: Nemo_bis.EditedOct 23 2014, 3:51 PM

Importing Code: You may import source code that you have found elsewhere or that you have co-authored with others, but in such case you warrant that the source code is available under terms that are compatible with the GNU General Public License version 2.0 (or, as explained above, another license when exceptionally required by that software).

I'm not sure I understand this clause. In the general terms of use, we added a similar clause in 2009 so that all pages of a wiki could be guaranteed to be available under the wiki's main license, i.e. CC-BY-SA. Otherwise, one could have imported GFDL-only text and one would never know if respecting CC-BY-SA is enough to use a page.

However, we will never have all code under a single license and we do not relicense imported code. On the other hand, only using licenses like https://www.gnu.org/licenses/license-list.html#GPLCompatibleLicenses is reasonable and I'm not sure the text actually means, say, a MIT licensed library added to the MediaWiki core repo would be relicensed to GPL.

Note, UniversalLanguageSelector is in GPL and includes GPL-incompatible OFL fonts. I don't understand if that's allowed under the new terms of use. https://www.gnu.org/licenses/license-list.html#SILOFL